Caro Carlos.

Pedir perdão publicamente é muito sério, não precisa disso tudo, mas demonstra a sua humildade como pessoa :-)

Quem não gostou do firmware 4.0 por motivos mais peesoais do que práticos pode usar a versão 3.6.1 que é sólida.

A grande jogada da versão 4.0 é a compatibilidade com APs Airmax que dá uma excelente performace à rede. Testei todos os radios légacy operando como AP e clente usando o firmware 4.0 e funciounou legal. Não testei com mikrotik e outrs APs mas creio que funcione OK.
Alguns hardware légacy conectam, mas não navegam com Airmax ativo em amplitude de canal superior a 10 mhz. Estou usando o firmware 5.6 beta no AP Airmax com 5 radios legacy usando firmware 4.0 com amplitude de canal de 10 mhz e está trazendo resultados satisfatórios com o airmax ativo. Apesar de ser uma alternativa experimental e em fase de evolução, vale a pena considerá-la.

Ainda não rocomendo que o pessoal migre toda a rede legacy pra airmax. Quem quiser testar faz um segmento para experiências e julgando ser viável faz a migração quando a versão estável for disponibilizada.

Abração,

ZėAlves